import request from '@/utils/request'

// 查询开票信息列表
export function listBillinfo(query) {
  return request({
    url: '/invoice/billinfo/list',
    method: 'get',
    params: query
  })
}

// 查询开票信息详细
export function getBillinfo(id) {
  return request({
    url: '/invoice/billinfo/' + id,
    method: 'get'
  })
}

// 新增开票信息
export function addBillinfo(data) {
  return request({
    url: '/invoice/billinfo',
    method: 'post',
    data: data
  })
}

// 修改开票信息
export function updateBillinfo(data) {
  return request({
    url: '/invoice/billinfo',
    method: 'put',
    data: data
  })
}

// 删除开票信息
export function delBillinfo(id) {
  return request({
    url: '/invoice/billinfo/' + id,
    method: 'delete'
  })
}

// 重新推送开票明细
export function pushBillinfo(id) {
  return request({
    url: '/invoice/billinfo/push/' + id,
    method: 'get'
  })
}
